Bug 1379440 - [abrt] gnome-shell: wl_resource_post_event(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: wl_resource_post_event(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonas Ådahl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2d124427b8d2ccab8fca9174ba3...
: 1379450 (view as bug list)
Depends On:
Blocks: F25BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-09-26 18:18 UTC by Adam Williamson
Modified: 2017-12-12 10:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:08:21 UTC


Attachments (Terms of Use)
File: backtrace (41.00 KB, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: cgroup (242 bytes, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: core_backtrace (4.50 KB, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: dso_list (24.95 KB, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: environ (1.01 KB, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: exploitable (82 bytes, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: maps (103.15 KB, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: mountinfo (3.35 KB, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: open_fds (6.13 KB, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details
File: var_log_messages (3.21 KB, text/plain)
2016-09-26 18:18 UTC, Adam Williamson
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1379098 None None None Never

Internal Links: 1379098

Description Adam Williamson 2016-09-26 18:18:20 UTC
Description of problem:
This crash occurred in an openQA test: https://openqa.fedoraproject.org/tests/36382 . That test boots the live image, switches to a VT and fiddles about with packages a bit to ensure an update is available, then switches back to the desktop and just sits there for 10 minutes to see what notifications show up. During that ten minutes idle time, Shell crashed and the system wound up back at GDM, which you can see in the video on the Logs & Assets tab.

Version-Release number of selected component:
gnome-shell-3.22.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: wl_resource_post_event
executable:     /usr/bin/gnome-shell
global_pid:     1591
kernel:         4.8.0-0.rc6.git0.1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 wl_resource_post_event at src/wayland-server.c:194
 #1 wl_pointer_send_leave at /usr/include/wayland-server-protocol.h:3409
 #2 meta_wayland_pointer_send_leave at wayland/meta-wayland-pointer.c:758
 #3 meta_wayland_pointer_broadcast_leave at wayland/meta-wayland-pointer.c:785
 #4 meta_wayland_pointer_set_focus at wayland/meta-wayland-pointer.c:814
 #5 repick_for_event at wayland/meta-wayland-pointer.c:540
 #6 meta_wayland_pointer_update at wayland/meta-wayland-pointer.c:548
 #7 meta_display_handle_event at core/events.c:216
 #8 event_callback at core/events.c:401
 #9 _clutter_event_process_filters at clutter-event.c:1913

Comment 1 Adam Williamson 2016-09-26 18:18:26 UTC
Created attachment 1204899 [details]
File: backtrace

Comment 2 Adam Williamson 2016-09-26 18:18:27 UTC
Created attachment 1204900 [details]
File: cgroup

Comment 3 Adam Williamson 2016-09-26 18:18:29 UTC
Created attachment 1204901 [details]
File: core_backtrace

Comment 4 Adam Williamson 2016-09-26 18:18:30 UTC
Created attachment 1204902 [details]
File: dso_list

Comment 5 Adam Williamson 2016-09-26 18:18:31 UTC
Created attachment 1204903 [details]
File: environ

Comment 6 Adam Williamson 2016-09-26 18:18:32 UTC
Created attachment 1204904 [details]
File: exploitable

Comment 7 Adam Williamson 2016-09-26 18:18:33 UTC
Created attachment 1204905 [details]
File: limits

Comment 8 Adam Williamson 2016-09-26 18:18:35 UTC
Created attachment 1204906 [details]
File: maps

Comment 9 Adam Williamson 2016-09-26 18:18:36 UTC
Created attachment 1204907 [details]
File: mountinfo

Comment 10 Adam Williamson 2016-09-26 18:18:37 UTC
Created attachment 1204908 [details]
File: namespaces

Comment 11 Adam Williamson 2016-09-26 18:18:38 UTC
Created attachment 1204909 [details]
File: open_fds

Comment 12 Adam Williamson 2016-09-26 18:18:40 UTC
Created attachment 1204910 [details]
File: proc_pid_status

Comment 13 Adam Williamson 2016-09-26 18:18:41 UTC
Created attachment 1204911 [details]
File: var_log_messages

Comment 14 Adam Williamson 2016-09-26 18:20:56 UTC
oh, the test does move the mouse pointer every 2 minutes to avoid the screensaver kicking in. the crash may have happened when it was doing that. openQA sends pointer events via VNC (using qemu's built-in VNC server).

Comment 15 Adam Williamson 2016-09-26 18:39:14 UTC
The test also has crash logs from one second after the GNOME Shell crash for gjs and evolution-alarm-notify. The gjs report shows as a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1379125 . The evolution-alarm-notify crash I reported as https://bugzilla.redhat.com/show_bug.cgi?id=1379445 .

Comment 16 Christian Stadelmann 2016-09-26 19:03:16 UTC
*** Bug 1379450 has been marked as a duplicate of this bug. ***

Comment 17 Adam Williamson 2016-09-26 23:07:02 UTC
So I looked through the past results in openQA and I *think* this is the first time we've hit this crash. However, this test is quite new - it's only really been running in production for the last couple of days - so we can't say for sure that the crash is new (we have other tests that boot to the desktop and do stuff, but none that just sit about moving the pointer occasionally for ten minutes).

Comment 18 Jonas Ådahl 2016-09-27 00:24:39 UTC
I think it'll be fixed by "wayland/pointer: Unset pointer focus when disabled" in https://bugzilla.gnome.org/show_bug.cgi?id=771646 .

Comment 19 Adam Williamson 2016-09-27 00:50:04 UTC
I'll nominate this for a Beta freeze exception, then, because Shell crashes are bad (especially now, with Wayland, they don't just result in an automatic restart of Shell and a crash notification, but dump you back to GDM).

As the Beta freeze will be in effect in a few hours, the procedure for getting this fixed in Beta would be to do a mutter build with the fix backported (and ideally as few other changes as possible) and submit it as an update marked as fixing this bug. Assuming this gets accepted as an FE issue, qa and releng would then together pull the fix in through the freeze.

Comment 20 Paul W. Frields 2016-09-28 19:10:28 UTC
I was asked to give a +1 on this FE, so here it is. :-)

Comment 21 Adam Williamson 2016-09-28 19:32:27 UTC
well, I asked you to vote, which *way* you vote is up to you. If you don't think it's worthy, go ahead and vote your conscience ;)

Comment 22 Fedora Update System 2016-09-28 20:51:54 UTC
mutter-3.22.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c0d544981f

Comment 23 Kevin Fenzi 2016-09-29 00:02:44 UTC
+1 FE here.

Comment 24 Adam Williamson 2016-09-29 01:23:30 UTC
That's +3, marking accepted.

Comment 25 Fedora Update System 2016-10-05 22:26:44 UTC
mutter-3.22.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Kamil Páral 2016-10-17 17:48:38 UTC
Similar problem has been detected:

I tried to reproduce bug 1379098. I switched to VT and back to GNOME several times (6 or 7 times) in a row, immediately. Right after that GNOME crashed.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: wl_resource_post_event
executable:     /usr/bin/gnome-shell
global_pid:     6909
kernel:         4.8.1-1.fc25.x86_64
package:        gnome-shell-3.22.1-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 27 Kamil Páral 2016-10-17 18:00:20 UTC
It seems this is not fixed after all. Or it is a different crash with the same traceback. The first time I tried this, comment 26 was created, but second time I tried it, I reproduced bug 1379098 instead. Maybe they are closely related (or there are 2 races).

Comment 28 Adam Williamson 2016-12-09 19:18:20 UTC
I don't think openqa has hit this lately, so removing that tag.

Comment 29 Fedora End Of Life 2017-11-16 14:39:17 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 30 Fedora End Of Life 2017-12-12 10:08:21 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.